=== debian/changelog ===
tuxedo-drivers (4.17.0) noble; urgency=medium

  * Add display local dimming toggle for Stellaris Gen 7
  * Inverted charging prio supported/unsupported list
  * Run build test also after merge in main

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 16 Oct 2025 14:10:45 +0200

tuxedo-drivers (4.16.0) noble; urgency=medium

  * Fix min TDP for Stellaris Gen7 AMD
  * Add fix for Huawei LTE modules
  * Remove amdgpu-firmware package from recommended
  * Add debian 13 and fedora 42 to build tests
  * Remove undocumented config file
  * Fix backlight control on some NB02 devices
  * Blacklist Uniwill upstream driver

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 01 Oct 2025 12:24:31 +0200

tuxedo-drivers (4.15.4) noble; urgency=medium

  * Fix fan control unresponsive on older NB02 devices

 -- Werner Sembach <tux@tuxedocomputers.com>  Fri, 29 Aug 2025 13:58:49 +0200

tuxedo-drivers (4.15.3) noble; urgency=medium

  * Fix pulsating fan on NB02 devices by making TD full fan mode aware
  * Readd and fix `make all` and `make install` targets as they are required for
    unofficial packaging scripts
  * Add .editorconfig for developer convenience

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 25 Aug 2025 15:36:30 +0200

tuxedo-drivers (4.15.2) noble; urgency=medium

  * change tuxedo-linux-firmware-amdgpu to Recommends

 -- Tim Guttzeit <tux@tuxedocomputers.com>  Mon, 18 Aug 2025 12:12:21 +0200

tuxedo-drivers (4.15.1) noble; urgency=medium

  * add tuxedo-linux-firmware-amdgpu as Depends 

 -- Maximilian Arnold <tux@tuxedocomputers.com>  Thu, 14 Aug 2025 15:58:20 +0200

tuxedo-drivers (4.15.0) noble; urgency=medium

  * Stellaris Gen7 AMD: Fix keyboard color, TGP, TDP;
  * Stellaris Gen7 AMD: Remove unsupported USB-C Charging Prios
  * Stellaris Gen7 AMD: Add AC Autoboot and USB Powershare features
  * IBP Gen10: Fix ID changes
  * IBP Gen10: Add IDs to power profiles and five step keyboard backlight  

 -- Tim Guttzeit <tux@tuxedocomputers.com>  Wed, 06 Aug 2025 07:53:44 +0200

tuxedo-drivers (4.14.4) noble; urgency=medium

  * Move udev rules from tuxedo-fix-config-files into tuxedo-drivers

 -- Tim Guttzeit <tux@tuxedocomputers.com>  Wed, 30 Jul 2025 12:20:22 +0200

tuxedo-drivers (4.14.3) noble; urgency=medium

  * Fix Stellaris Gen7 leaving custom profile upon power event

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 15 Jul 2025 16:14:19 +0200

tuxedo-drivers (4.14.2) noble; urgency=medium

  * More small fixes for Stellaris Gen7 support
  * Small fix for IBP Gen10 support

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 01 Jul 2025 23:26:56 +0200

tuxedo-drivers (4.14.1) noble; urgency=medium

  * Cleanup Makefile
  * Update Readme
  * Fix NB02 devices have bogus mouse device
  * Harmonize config file names

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 17 Jun 2025 15:03:46 +0200

tuxedo-drivers (4.14.0) noble; urgency=medium

  * Several small fixes for Stellaris Gen7 support
  * Add wake on power setting for supported devices
  * Add power share setting for supported devices

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 11 Jun 2025 18:17:28 +0200

tuxedo-drivers (4.13.1) noble; urgency=medium

  * InfinityFlex: Make FN-key no longer disable touchpad
  * NB02: Make FN-key no longer spam dmesg

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 15 May 2025 17:40:06 +0200

tuxedo-drivers (4.13.0) noble; urgency=medium

  * Fix touchpad toggle key on NB02 on wayland
  * Fix Aura 14/15 Gen4 Webcam switch not disapearing when deactivated in BIOS
  * Add udev-hid-bpf recommendation for Sirius 16 Gen1/2 keyboard fix
  * Fix build errors with Kernel 6.14 and 6.15

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 07 May 2025 17:57:05 +0200

tuxedo-drivers (4.12.2) noble; urgency=medium

  * Fix IBP Gen9 keyboard backlight not controllable after cold boot until first
    FN + space press
  * This will be the last version officially supported on Ubuntu 22.04.
    Exceptions might get made for critical bug fixes.

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 18 Feb 2025 22:37:15 +0100

tuxedo-drivers (4.12.1) noble; urgency=medium

  * Change device check for fixed 5 color kbl on NB02 devices from EC-ID to DMI
    string
  * Cleanup changelog and order chronologically
  * Generate rpm changelog from deb changelog

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 27 Jan 2025 15:17:59 +0100

tuxedo-drivers (4.12.0) noble; urgency=medium

  * Add keyboard backlight support for IBP Gen9
  * Add automatic compile tests
  * Fix low fan speed rounding issue between off and 25%

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 15 Jan 2025 13:30:52 +0100

tuxedo-drivers (4.11.7) noble; urgency=medium

  * Avoid floating point to be more widely compatible

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 11 Dec 2024 13:59:05 +0100

tuxedo-drivers (4.11.6) noble; urgency=medium

  * Fix build against kernel 5.15

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 05 Dec 2024 14:44:53 +0100

tuxedo-drivers (4.11.5) noble; urgency=medium

  * Block 1%-24% fanspeeds and round to 0% or 25% respectifly to avoid irregular
    fan movements

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 05 Dec 2024 14:10:09 +0100

tuxedo-drivers (4.11.4) noble; urgency=medium

  * Remove buggy autoreload on install
  * Fix CPU power handling on Stellaris 16 Gen6
  * Fix instant wakeup on Stellaris Slim 15 Gen6 AMD

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 26 Nov 2024 12:20:51 +0100

tuxedo-drivers (4.11.3) noble; urgency=medium

  * Fix crashes on package install

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 18 Nov 2024 20:07:53 +0100

tuxedo-drivers (4.11.2) noble; urgency=medium

  * Fix missing module reload handling in install scripts

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 13 Nov 2024 18:21:34 +0100

tuxedo-drivers (4.11.1) noble; urgency=medium

  * Fix build with different kernels


