=== debian/control ===
Source: tuxedo-drivers
Section: devel
Priority: optional
Maintainer: TUXEDO Computers GmbH <tux@tuxedocomputers.com>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://tuxedocomputers.com
Vcs-Browser: https://github.com/tuxedocomputers/tuxedo-drivers
Vcs-Git: https://github.com/tuxedocomputers/tuxedo-drivers.git

Package: tuxedo-drivers
Architecture: all
Depends: ${misc:Depends}
Recommends: udev-hid-bpf
Provides: tuxedo-keyboard (= 4.0.0)
Replaces: tuxedo-cc-wmi (<< 4.0.0~), tuxedo-keyboard (<< 4.0.0~),
 tuxedo-keyboard-dkms (<< 4.0.0~), tuxedo-keyboard-ite (<< 4.0.0~),
 tuxedo-touchpad-fix (<< 4.0.0~), tuxedo-wmi-dkms (<< 4.0.0~),
 tuxedo-xp-xc-airplane-mode-fix (<< 4.0.0~),
 tuxedo-xp-xc-touchpad-key-fix (<< 4.0.0~)
Breaks: tuxedo-cc-wmi (<< 4.0.0~), tuxedo-keyboard (<< 4.0.0~),
 tuxedo-keyboard-dkms (<< 4.0.0~), tuxedo-keyboard-ite (<< 4.0.0~),
 tuxedo-touchpad-fix (<< 4.0.0~), tuxedo-wmi-dkms (<< 4.0.0~),
 tuxedo-xp-xc-airplane-mode-fix (<< 4.0.0~),
 tuxedo-xp-xc-touchpad-key-fix (<< 4.0.0~)
Description: Kernel modules for TUXEDO devices
 Drivers for several platform devices for TUXEDO notebooks meant for DKMS.
