## tuxedo-drivers 4.20.1

=== debian/changelog ===
tuxedo-drivers (4.20.1) noble; urgency=medium

  * Update docker url in CI

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 22 Jan 2026 21:35:37 +0100

tuxedo-drivers (4.20.0) noble; urgency=medium

  * Expose battery information to sysfs for NB02 devices
  * Add Power Limits for GPU and CPU of InfinityBook Max 15 Gen10 Intel

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 22 Jan 2026 20:21:07 +0100

tuxedo-drivers (4.19.0) noble; urgency=medium

  * Add InfinityBook Max 16 Gen10 Intel support

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 22 Jan 2026 20:19:57 +0100

tuxedo-drivers (4.18.2) noble; urgency=medium

  * Change default of EC write method for NB02 to potentially fix stuck fanspeed

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 16 Dec 2025 23:29:02 +0100
